Package: geb.frame

## [Groovy] Class UninitializedFrameSupport

- geb.frame.UninitializedFrameSupport

- All Implemented Interfaces and Traits:
    FrameSupport

      class UninitializedFrameSupport
      extends Object
      implements FrameSupport

- - ### Constructor Summary

    Constructors
    Constructor and description
    `UninitializedFrameSupport(Initializable initializable)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<P extends Page, T>` | `T` | `withFrame(Object frame, Class<P> page, Closure<T> block)`
    `<P extends Page, T>` | `T` | `withFrame(Object frame, P page, Closure<T> block)`
    `<P extends Page, T>` | `T` | `withFrame(Navigator frame, Class<P> page, Closure<T> block)`
    `<P extends Page, T>` | `T` | `withFrame(Navigator frame, P page, Closure<T> block)`
    `<T>` | `T` | `withFrame(Object frame, Closure<T> block)`
    `<T>` | `T` | `withFrame(Navigator frame, Closure<T> block)`
    `<T>` | `T` | `withFrame(TemplateDerivedPageContent frame, Closure<T> block)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UninitializedFrameSupport(Initializable initializable)

  - ### Method Detail

    - #### <P extends Page, T> @Override
      T withFrame(Object frame, @DelegatesTo.Target
      Class<P> page, @DelegatesTo(strategy: DELEGATE_FIRST, genericTypeIndex: 0)
      Closure<T> block)

    - #### <P extends Page, T> @Override
      T withFrame(Object frame, @DelegatesTo.Target
      P page, @DelegatesTo(strategy: DELEGATE_FIRST)
      Closure<T> block)

    - #### <P extends Page, T> @Override
      T withFrame(Navigator frame, @DelegatesTo.Target
      Class<P> page, @DelegatesTo(strategy: DELEGATE_FIRST, genericTypeIndex: 0)
      Closure<T> block)

    - #### <P extends Page, T> @Override
      T withFrame(Navigator frame, @DelegatesTo.Target
      P page, @DelegatesTo(strategy: DELEGATE_FIRST)
      Closure<T> block)

    - #### <T> @Override
      T withFrame(Object frame, Closure<T> block)

    - #### <T> @Override
      T withFrame(Navigator frame, Closure<T> block)

    - #### <T> @Override
      T withFrame(TemplateDerivedPageContent frame, Closure<T> block)